Loading...
Searching...
No Matches
Dune::Functions::TaylorHoodVelocityTree< GV > Class Template Reference

`#include <dune/functions/functionspacebases/taylorhoodbasis.hh>`

Inheritance diagram for Dune::Functions::TaylorHoodVelocityTree< GV >:

## Public Types

using | Element
using | size_type

## Public Member Functions

| TaylorHoodVelocityTree ()
const auto & | child (Index i) const
const Element & | element () const
void | setChild (Index i, TT &&t)
void | bind (const Element &entity)
void | bind (const Element &entity)
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Member Functions

static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf
static const bool | isPower
static const bool | isComposite

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Member Typedef Documentation

## Element

using Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::Element

inherited

## size_type

using Dune::Functions::BasisNodeMixin::size_type

inherited

## Constructor & Destructor Documentation

## TaylorHoodVelocityTree()

template<typename GV>

Dune::Functions::TaylorHoodVelocityTree< GV >::TaylorHoodVelocityTree | ( |  | ) |

inline

## Member Function Documentation

## bind() [1/2]

void Dune::Functions::InnerBasisNodeMixin< PowerBasisNode< LagrangeNode< GV, 2 >, n >, Element >::bind | ( | const Element & | entity | ) |

inline inherited

## bind() [2/2]

void Dune::Functions::InnerBasisNodeMixin< PowerBasisNode< LagrangeNode< GV, 2 >, n >, Element >::bind | ( | const Element & | entity | ) |

inline inherited

## child()

const auto & Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::child | ( | Index | i | ) | const

inline inherited

## degree()

constexpr auto Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::degree | ( |  | ) |

inline static constexpr inherited

## element()

const Element & Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::element | ( |  | ) | const

inline inherited

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## setChild()

void Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::setChild | ( | Index | i,
|  | TT && | t )

inline inherited

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## isComposite

const bool Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::isComposite

static inherited

## isLeaf

const bool Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::isLeaf

static inherited

## isPower

const bool Dune::Functions::PowerBasisNode< LagrangeNode< GV, 2 >, n >::isPower

static inherited

The documentation for this class was generated from the following file:

- taylorhoodbasis.hh